import pygame, time, sys, serial, random
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)
GPIO.setup(18, GPIO.IN)
GPIO.setup(23, GPIO.IN)
GPIO.setup(24, GPIO.IN)
GPIO.setup(25, GPIO.IN)

pygame.mixer.init()
pygame.mixer.pre_init(44100, -16, 2, 65536)
pygame.init()

pygame.display.set_mode((320, 200))

SONG_END = pygame.USEREVENT +1
pygame.mixer.music.set_endevent(SONG_END)

pinout = int
GO = int

valueprevious = 0
soundfileID = 0


def soundop(path, fade):

	global soundfileID
	global valueprevious
	
	if soundfileID == 0:
			valueprevious = 0

	if soundfileID != valueprevious:
			print ('play' + str(soundfileID))
			pygame.mixer.music.fadeout(fade)
			soundfile = path + 'bar' + str(soundfileID) + '.aif'
			pygame.mixer.music.load(soundfile)
			pygame.mixer.music.play()
			if pygame.mixer.music.get_busy() == True:
				valueprevious = soundfileID
                                    
mainloop = True
while mainloop:
                        
        	if GPIO.input(18) == False:
            		num1 = random.randrange(1, 4)

        	if GPIO.input(18) == True:
            		soundfileID = num1

        	if GPIO.input(23) == False:
            		num2 = random.randrange(4, 7)

        	if GPIO.input(23) == True:
            		soundfileID = num2

        	if GPIO.input(24) == False:
            		num3 = random.randrange(7, 10)

        	if GPIO.input(24) == True:
            		soundfileID = num3

        	if GPIO.input(25) == False:
            		num4 = random.randrange(10, 13)

        	if GPIO.input(25) == True:
            		soundfileID = num4            		            		            		
            			

        	    		                           	
        	soundop("/home/pi/toutisons/", 100)
            
                     
        	for event in pygame.event.get():

                    if event.type == pygame.KEYDOWN:
                            if event.key == pygame.K_p:
                                pygame.mixer.music.fadeout(2000)

                    if event.type == pygame.KEYDOWN:
                            if event.key == pygame.K_ESCAPE:
                                pygame.mixer.music.fadeout(2000)
                                pygame.display.flip()
                                time.sleep(1)
                                pygame.quit()
                                sys.exit()                                
                                

#                    if event.type == SONG_END:
#                                if pygame.mixer.music.get_busy() == False:
#                                	soundfileID = 0

                                        
                    if event.type == pygame.QUIT:
                                mainloop = False